Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.RemoteStorageProvider

Extends M.DataProvider.
Encapsulates access to a remote storage, a json based webservice.
Defined in: remote_storage.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.RemoteStorageProvider()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| config The type of this object.
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| configure(obj) creates a new data provider instance with the passed configuration parameters
| deepObjectReplacement(dataPattern, record, result) Creates result as an object passed to the request containing the request data.
| del(obj)
| find(obj)
| remoteQuery(onSuccess, onError)
| save(obj)

Methods borrowed from class M.DataProvider:
  check
Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.RemoteStorageProvider()
Field Detail
{Object} config
The type of this object.

{String} type
The type of this object.
Method Detail
configure(obj)
creates a new data provider instance with the passed configuration parameters

Parameters:
obj

deepObjectReplacement(dataPattern, record, result)
Creates result as an object passed to the request containing the request data.

Parameters:
dataPattern
record
result

del(obj)

Parameters:
obj

find(obj)

Parameters:
obj

remoteQuery(onSuccess, onError)

Parameters:
onSuccess
onError

save(obj)

Parameters:
obj

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:33 GMT+0100 (MEZ)